package com.bocloud.cmp.provider.azure.slb;

import com.bocloud.cmp.model.azure.slb.InboundNatRuleModel;
import com.bocloud.cmp.provider.SuperProvider;
import com.bocloud.common.model.BocloudResult;

/**
 * @ClassName: InboundNatRuleProvider
 * @Description:
 * @author: zhenpingLi/李振平
 * @date: 2020/10/15 14:28
 */
public interface InboundNatRuleProvider extends SuperProvider {

    default BocloudResult create(InboundNatRuleModel model) {
        return new BocloudResult(false, "need implement");
    }

    default BocloudResult remove(InboundNatRuleModel model) {
        return new BocloudResult(false, "need implement");
    }

}